import javax.ejb.ActivationConfigProperty;
import javax.ejb.MessageDriven;
import javax.interceptor.Interceptors;
import javax.jms.MapMessage;
import javax.jms.Message;
import javax.jms.MessageListener;

import org.jboss.ejb3.annotation.ResourceAdapter;
import org.springframework.ejb.interceptor.SpringBeanAutowiringInterceptor;

@MessageDriven(
		name = "EventTrackerMDB" ,
		description = "Update the us  er events into database" ,
		activationConfig = {
				@ActivationConfigProperty(propertyName = "destinationType", propertyValue = "javax.jms.Queue"),
				@ActivationConfigProperty(propertyName = "destination", propertyValue = "queue/TrackingEventAuditQueue")
		}
)
@ResourceAdapter("hornetq-ra.rar")
@Interceptors(SpringBeanAutowiringInterceptor.class)
public class EventTrackerMDB implements MessageListener {

	@Override
	public void onMessage(Message message) {
		System.out.println("TrackingEventActivator.onMessage() - inside:");
		if(message instanceof MapMessage) {
			System.out.println("TrackingEventActivator.onMessage() - message:"+message);
		}
	}

}
